@import '../../../old-styles/index.scss';
@import '../../../styles/modules/animations';

/**
 * Different states
 */
%primary {
  &.primary {
    @extend %primary-loading;
    @extend %disabled;
    padding: 7px 1rem;
    color: #ffffff;
    border-radius: 4px;
    background: #0075a3;
    border: 1px solid #0075a3;

    &:hover {
      background: #00658c;
      border: 1px solid #E3E4E4;
    }
  }
}

%primary-loading {
  &.loading {
    flex-direction: row-reverse;
    .icon {
      @extend %rotateAnimation;
      margin-right: 0;
      margin-left: 6px;

      &:before {
        color: #ffffff;
      }
    }
  }
}

%secondary {
  &.secondary {
    @extend %secondary-loading;
    border: none;
    background: transparent;

    i.icon {
    }

    .text {
      font-size: 14px;
      font-weight: bold;
      text-transform: uppercase;
      color: #59686d;
    }
  }
}

%secondary-loading {
  &.loading {
    .icon {
      @extend %rotateAnimation;

      &:before {
        color: #0075a3;
      }
    }
  }
}

%ternary {
  &.ternary {
    @extend %ternary-disabled;
    padding: 7px 1rem;
    color: #0075a3;
    border: 1px solid #0075a3;
    border-radius: 4px;
    background: #ffffff;

    &:hover {
      color: #ffffff;
      background: #00658c;
      border: 1px solid #E3E4E4;
    }
  }
}

%ternary-disabled {
  &.disabled {
    opacity: 0.7;
    cursor: not-allowed;
    &:hover {
      color: #0075a3;
      border: 1px solid #0075a3;
      background: #ffffff;
      cursor: not-allowed;
    }
  }
}

%disabled {
  &.disabled {
    background: rgba(0, 117, 163, 0.64);
    &:hover {
      background: rgba(0, 117, 163, 0.64);
    }
  }
}

/**
 * Button component
 */
.button-component {
  @extend %primary;
  @extend %secondary;
  @extend %ternary;

  display: flex;
  align-items: center;
  transition: background 0.15s, border 0.15s;

  &:focus {
    outline: none;
  }

  .image {
    margin-right: 6px;
  }

  .icon {
    margin-right: 6px;
  }
}
